# Interface Selector

#### Hierarchy (View Summary)

- Selector
  - Root

- Selector(selector: string): Cheerio

  #### Parameters

  - selector: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:282
- Selector(selector: string, context: string): Cheerio

  #### Parameters

  - selector: string
  - context: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:283
- Selector(selector: string, context: Element ): Cheerio

  #### Parameters

  - selector: string
  - context: Element

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:284
- Selector(selector: string, context: Element []): Cheerio

  #### Parameters

  - selector: string
  - context: Element []

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:285
- Selector(selector: string, context: Cheerio ): Cheerio

  #### Parameters

  - selector: string
  - context: Cheerio

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:286
- Selector(selector: string, context: string, root: string): Cheerio

  #### Parameters

  - selector: string
  - context: string
  - root: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:287
- Selector(selector: string, context: Element , root: string): Cheerio

  #### Parameters

  - selector: string
  - context: Element
  - root: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:288
- Selector(selector: string, context: Element [], root: string): Cheerio

  #### Parameters

  - selector: string
  - context: Element []
  - root: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:289
- Selector(selector: string, context: Cheerio , root: string): Cheerio

  #### Parameters

  - selector: string
  - context: Cheerio
  - root: string

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:290
- Selector(selector: any): Cheerio

  #### Parameters

  - selector: any

  #### Returns Cheerio

  - Defined in node_modules/@types/cheerio/index.d.ts:291